Name:          htmldoc
Version:       1.9.20
Release:       1mamba
Summary:       HTML Conversion Software
Group:         Applications/Publishing
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.msweet.org/htmldoc/
Source:        https://github.com/michaelrsweet/htmldoc.git/v%{version}/htmldoc-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXcursor-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXft-devel
BuildRequires: libXinerama-devel
BuildRequires: libXpm-devel
BuildRequires: libXrender-devel
BuildRequires: libcups-devel
BuildRequires: libfltk-devel
BuildRequires: libfontconfig-devel
BuildRequires: libgcc
BuildRequires: libjpeg-turbo
BuildRequires: libpng-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END

%description
HTML Conversion Software.

%debug_package

%prep
%setup -q

%build
%configure \
   --enable-debug

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall BUILDROOT=%{buildroot}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/htmldoc
%{_datadir}/applications/htmldoc.desktop
%{_datadir}/mime/packages/htmldoc.xml
#%{_datadir}/pixmaps/htmldoc.xpm
%dir %{_datadir}/htmldoc
%dir %{_datadir}/htmldoc/data
%{_datadir}/htmldoc/data/*
%dir %{_datadir}/htmldoc/fonts
%{_datadir}/htmldoc/fonts/*
%{_datadir}/icons/hicolor/*/apps/htmldoc.png
%{_mandir}/man1/htmldoc.1*
%dir %{_docdir}/htmldoc
%{_docdir}/htmldoc/*

%changelog
* Tue Dec 10 2024 Automatic Build System <autodist@openmamba.org> 1.9.20-1mamba
- automatic version update by autodist

* Fri Nov 22 2024 Automatic Build System <autodist@openmamba.org> 1.9.19-1mamba
- automatic version update by autodist

* Mon Feb 12 2024 Automatic Build System <autodist@openmamba.org> 1.9.18-1mamba
- automatic version update by autodist

* Mon Sep 18 2023 Automatic Build System <autodist@mambasoft.it> 1.9.17-1mamba
- automatic version update by autodist

* Sat May 21 2022 Automatic Build System <autodist@mambasoft.it> 1.9.16-1mamba
- automatic version update by autodist

* Sun Feb 06 2022 Automatic Build System <autodist@mambasoft.it> 1.9.15-1mamba
- automatic version update by autodist

* Fri Dec 24 2021 Automatic Build System <autodist@mambasoft.it> 1.9.14-1mamba
- automatic version update by autodist

* Sun Nov 07 2021 Automatic Build System <autodist@mambasoft.it> 1.9.13-1mamba
- automatic version update by autodist

* Tue Jun 01 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.12-1mamba
- update to 1.9.12

* Fri Jan 15 2021 Automatic Build System <autodist@mambasoft.it> 1.9.11-1mamba
- automatic version update by autodist

* Sun Sep 06 2020 Automatic Build System <autodist@mambasoft.it> 1.9.10-1mamba
- automatic version update by autodist

* Fri Jun 12 2020 Automatic Build System <autodist@mambasoft.it> 1.9.9-1mamba
- automatic version update by autodist

* Mon Feb 17 2020 Automatic Build System <autodist@mambasoft.it> 1.9.8-1mamba
- automatic version update by autodist

* Sat Oct 26 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.7-1mamba
- update to 1.9.7

* Wed Feb 17 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.29-1mamba
- package created using the webbuild interface
